/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;
import java.util.Observable;

/**
 *
 * @author Ruben
 */
public class Rastreabilidad extends Observable{
    //Atributos típicos
    private String Nombre;
    private String Autores;
    private String Fuentes;
    private String Comentario;
    //ArrayLists elementos filas y columnas
    private ArrayList<String> Filas=new ArrayList();
    private ArrayList<String> Columnas=new ArrayList();

    /**
     * @return the Nombre
     */
    public String getNombre() {
        return Nombre;
    }

    /**
     * @param Nombre the Nombre to set
     */
    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * @return the Autores
     */
    public String getAutores() {
        return Autores;
    }

    /**
     * @param Autores the Autores to set
     */
    public void setAutores(String Autores) {
        this.Autores = Autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * @return the Fuentes
     */
    public String getFuentes() {
        return Fuentes;
    }

    /**
     * @param Fuentes the Fuentes to set
     */
    public void setFuentes(String Fuentes) {
        this.Fuentes = Fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * @return the Comentario
     */
    public String getComentario() {
        return Comentario;
    }

    /**
     * @param Comentario the Comentario to set
     */
    public void setComentario(String Comentario) {
        this.Comentario = Comentario;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * @return the Filas
     */
    public ArrayList<String> getFilas() {
        return Filas;
    }

    /**
     * @param Filas the Filas to set
     */
    public void setFilas(ArrayList<String> Filas) {
        this.Filas = Filas;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * @return the Columnas
     */
    public ArrayList<String> getColumnas() {
        return Columnas;
    }

    /**
     * @param Columnas the Columnas to set
     */
    public void setColumnas(ArrayList<String> Columnas) {
        this.Columnas = Columnas;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
}
